XFcUse.h File Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcUse.h File Reference

Static link 'use' interface for code parts to discard unused parts at link time. More...

This graph shows which files directly or indirectly include this file:

## Functions

void XFCDLLEXPORT XFCIMPORT | xfcUseDefaults ()
| Includes default set of features in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseAudioDefault ()
| Includes default audio system in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseCFLFilterZlib ()
| Includes ZLib filter in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseGLDefault ()
| Includes default GL device in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseImageFilterPCX ()
| Includes PCX loader filter in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseImageFilterTGA ()
| Includes TGA loader filter in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUse2DVectorGraphics ()
| Includes 2D vector drawing functionality to the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseGLDefaultFSAA ()
| FSAA output device (4x screen size, real-time downsampling). Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseGLDefaultUpsample ()
| Upsample output device (1/4 screen size, real-time upsampling). Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseGLZBuffer ()
| ZBuffer output device. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseGLDefaultProfiler ()
| Default rasterizer with binary log output. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcUseNetwork ()
| Includes network communication device in the core. Meant to be called from xfcAppInit().
void XFCDLLEXPORT XFCIMPORT | xfcGLUseDefaults ()
| Tells GL to use all default fillers. Should be called after GL creation. GLDefault calls this automatically.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerFlat ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerFlatAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerFlatAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerFlatInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGouraud ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGouraudAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGouraudAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGouraudInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGreyscaleGouraud ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGreyscaleGouraudAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGreyscaleGouraudAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerGreyscaleGouraudInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexture ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexture5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureAdd5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureAlpha5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureInvmul5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlat ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraud ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraud ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspective ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspective5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveAdd5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveAlpha5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveInvmul5515 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlat ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraud ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraud ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAdd ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAlpha ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudInvmul ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureFlatInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGouraudInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTextureGreyscaleGouraudInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectivePal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveFlatInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGouraudInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAddPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAlphaPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.
void XFCDLLEXPORT XFCIMPORT | xfcGLUseFillerTexturePerspectiveGreyscaleGouraudInvmulPal55X5 ()
| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

## Detailed Description

Static link 'use' interface for code parts to discard unused parts at link time.

X-Forge Core
Copyright 2000-2003 Fathammer Ltd

Id
  XFcUse.h,v 1.17 2003/10/15 09:32:45 kkallio Exp

Date
  2003/10/15 09:32:45

Revision
  1.17

## Function Documentation

void XFCDLLEXPORT XFCIMPORT xfcGLUseDefaults | ( |  | ) |

| Tells GL to use all default fillers. Should be called after GL creation. GLDefault calls this automatically.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerFlat | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerFlatAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerFlatAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerFlatInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGouraud | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGouraudAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGouraudAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGouraudInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGreyscaleGouraud | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGreyscaleGouraudAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGreyscaleGouraudAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerGreyscaleGouraudInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexture | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexture5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureAdd5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureAlpha5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlat | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureFlatPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraud | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGouraudPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraud | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureGreyscaleGouraudPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureInvmul5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTextureInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspective | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspective5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveAdd5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveAlpha5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlat | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveFlatPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraud | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGouraudPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraud | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAdd | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAddPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAlpha | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudAlphaPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveGreyscaleGouraudPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveInvmul | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveInvmul5515 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectiveInvmulPal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcGLUseFillerTexturePerspectivePal55X5 | ( |  | ) |

| Tells GL to use this filler. Should be called after GL creation. Not needed for GLDefault.

void XFCDLLEXPORT XFCIMPORT xfcUse2DVectorGraphics | ( |  | ) |

| Includes 2D vector drawing functionality to the core. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseAudioDefault | ( |  | ) |

| Includes default audio system in the core. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseCFLFilterZlib | ( |  | ) |

| Includes ZLib filter in the core. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseDefaults | ( |  | ) |

| Includes default set of features in the core. Meant to be called from xfcAppInit(). Default set includes: CFLFilterZlib GLDefault ImageFilterPCX ImageFilterTGA AudioDefault

void XFCDLLEXPORT XFCIMPORT xfcUseGLDefault | ( |  | ) |

| Includes default GL device in the core. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseGLDefaultFSAA | ( |  | ) |

| FSAA output device (4x screen size, real-time downsampling). Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseGLDefaultProfiler | ( |  | ) |

| Default rasterizer with binary log output. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseGLDefaultUpsample | ( |  | ) |

| Upsample output device (1/4 screen size, real-time upsampling). Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseGLZBuffer | ( |  | ) |

| ZBuffer output device. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseImageFilterPCX | ( |  | ) |

| Includes PCX loader filter in the core. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseImageFilterTGA | ( |  | ) |

| Includes TGA loader filter in the core. Meant to be called from xfcAppInit().

void XFCDLLEXPORT XFCIMPORT xfcUseNetwork | ( |  | ) |

| Includes network communication device in the core. Meant to be called from xfcAppInit().

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch